﻿@using WebServiceBook.ViewModels
@{
    Layout = null;
}

@model VehicleListViewModel

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Get vehicle</title>
</head>
<body>
    @{
        Html.RenderPartial("Menu");
    }
    <div> 
        <h3 style="text-align: center">Vozidla:</h3>
        <table border="1" style="margin: auto">
            <tr>
                <td>
                    <b>Název:</b>
                </td>
                <td>
                    <b>Typ:</b>
                </td>
            </tr>
        @foreach(var vehicle in Model.ListOfVehicles)
        {
           <tr>
               <td>
                   @vehicle.Name
               </td>
               <td>
                   @vehicle.Type
               </td>
               <td>
                   @Html.ActionLink("Records", "ShowRecords", "Records", new { id = vehicle.VehicleID }, null)
               </td>
               <td>
                   @Html.ActionLink("Update", "UpdateVehicleForm", "Update", new { id = vehicle.VehicleID }, null)
               </td>
               <td>
                   @Html.ActionLink("Delete", "DeleteMessage", "Delete", new { id = vehicle.VehicleID }, null)
               </td>
           </tr>
        }
            </table>
    </div>

    @{
        Html.RenderPartial("Footer");
    }
</body>
</html>
